package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import java.util.Calendar;
import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;
public class Fur_Date {
public static String getDateLetterLang(String DateAn, String Lang) {
  Calendar d = Calendar.getInstance();DateAn=DateAn.substring(0,10);
  d.set(Integer.parseInt(Fur_Atome.getAtome(DateAn, "1", "-")), Integer.parseInt(Fur_Atome.getAtome(DateAn, "2", "-"))-1, Integer.parseInt(Fur_Atome.getAtome(DateAn, "3", "-")));
  
  DateFormat dateFormat = null;
  if (Lang.equals("RE")) dateFormat = new SimpleDateFormat(FurPRGM_X.getTXTLangX("FR", "LANG_XX_FORMAT_DATE"), new Locale("FR"));
  else dateFormat = new SimpleDateFormat(FurPRGM_X.getTXTLangX(Lang, "LANG_XX_FORMAT_DATE"), new Locale(Fur_Atome.getAtome(FurPARAM.getDBSConnectorParam("LANG_XX").DATA, ""+FurPRGM_X.getTXTLangID(Lang), ","))); 
  String str= dateFormat.format(d.getTime());
  if (Lang.equals("RE")) str=str.replace("Lundi", "Lindi").replace("Mercredi", "M&egrave;rkredi").replace("Jeudi", "Jedi").replace("Dimanche", "Dimansh").replace("janvier", "janvi&eacute;").replace("février", "f&eacute;vri&eacute;").replace("juillet", "juy&eacute;").replace("août", "out").replace("septembre", "s&eacute;ptenm").replace("octobre", "octob").replace("novembre", "novenb").replace("décembre", "d&eacute;senb");
  
  return str;
}
public static String getFirstLetter(String Lang, long d) {
  DateFormat dateFormat = new SimpleDateFormat("E", new Locale(Fur_Atome.getAtome(FurPARAM.getDBSConnectorParam("LANG_XX").DATA, ""+FurPRGM_X.getTXTLangID(Lang), ",")));
  return dateFormat.format(d);
}
public static String getHour(String PaLongTime) {
  DateFormat dateFormat = new SimpleDateFormat("HH:mm:ss:S");
  return dateFormat.format(Long.parseLong(PaLongTime));
}
public static String getSysDate() {
  DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SZ");
  return dateFormat.format(System.currentTimeMillis());
}
public static String getSysDate2() {
  DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
  return dateFormat.format(System.currentTimeMillis());
}
public static String getSysDateBackup() {
  DateFormat dateFormat = new SimpleDateFormat("yyyyMMdd_HHmmss");
  return dateFormat.format(System.currentTimeMillis());
}
public static String getSysDateLetter() {
  DateFormat dateFormat = new SimpleDateFormat("EEEEEEE dd MMMM yyyy HH:mm:ss Z");
  return dateFormat.format(System.currentTimeMillis());
}
public static String getSysDateLetterSimple(String Lang) {
  DateFormat dateFormat = null;
  if (Lang.equals("RE")) dateFormat = new SimpleDateFormat(FurPRGM_X.getTXTLangX("FR", "LANG_XX_FORMAT_DATE"), new Locale("FR"));
  else dateFormat = new SimpleDateFormat(FurPRGM_X.getTXTLangX(Lang, "LANG_XX_FORMAT_DATE"), new Locale(Fur_Atome.getAtome(FurPARAM.getDBSConnectorParam("LANG_XX").DATA, ""+FurPRGM_X.getTXTLangID(Lang), ","))); 
  String str= dateFormat.format(System.currentTimeMillis());
  if (Lang.equals("RE")) str=str.replace("lundi", "lindi").replace("mercredi", "m&egrave;rkredi").replace("jeudi", "jedi").replace("dimanche", "dimansh").replace("janvier", "janvi&eacute;").replace("février", "f&eacute;vri&eacute;").replace("juillet", "juy&eacute;").replace("août", "out").replace("septembre", "s&eacute;ptenm").replace("octobre", "octob").replace("novembre", "novenb").replace("décembre", "d&eacute;senb");
  return str;
}
public static String getSysDateMinAff() {
  DateFormat dateFormat = new SimpleDateFormat("yyyyMMddHHmmss");
  return dateFormat.format(System.currentTimeMillis());
}
public static String getSysDateSimple() {
  DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.S");
  return dateFormat.format(System.currentTimeMillis());
}
public static String getSysDateXMLFormat() {
  DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ssZ");
  return dateFormat.format(System.currentTimeMillis()).replace(" ", "T");
}
public static String getSysHappyDay() {
  DateFormat dateFormat = new SimpleDateFormat("2012-MM-dd");
  return dateFormat.format(System.currentTimeMillis());
}
public static String getSysHour() {
  DateFormat dateFormat = new SimpleDateFormat("HH:mm:ss");
  return dateFormat.format(System.currentTimeMillis());
}
public static boolean isToday(String PaDate){
  if (PaDate.substring(0, 10).equals(getSysDate().substring(0, 10))) return true;
  else return false;
}
public static boolean isValid(String PaDate, String PbSeparator){
  Calendar c = Calendar.getInstance();
  c.setLenient(false);
  c.set(Integer.parseInt(Fur_Atome.getAtome(PaDate, "3", PbSeparator)),Integer.parseInt(Fur_Atome.getAtome(PaDate, "2", PbSeparator)),Integer.parseInt(Fur_Atome.getAtome(PaDate, "1", PbSeparator)));        
  try{
    c.getTime();  
  }
    catch(IllegalArgumentException iAE){
    return false;
  }
  return true;
}
public static boolean isValid(String PaDate){
  Calendar c = Calendar.getInstance();
  c.setLenient(false);
  c.set(Integer.parseInt(Fur_Atome.getAtome(PaDate, "3", "-")),Integer.parseInt(Fur_Atome.getAtome(PaDate, "2", "-")),Integer.parseInt(Fur_Atome.getAtome(PaDate, "1", "-")));        
  try{
    c.getTime();  
  }
    catch(IllegalArgumentException iAE){
    return false;
  }
  return true;
}
}
